import type { ObjectId } from "mongodb";
import type Resources from "./Resources";
import type Building from "./Building";

export default interface User {
    _id?: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    resources: Resources;
    buildings: Array<Building>;
    createdAt: Date;
    updatedAt: Date;
}